| Verb | URI | Description | |||
| GET | /images?server=serverRef&
name=imageName&
status=imageStatus&
changes-since=dateTime&
marker=markerID&limit=int&
type=(BASE|SERVER) |
Lists IDs, names, and links for all available images. | |||
| GET | /images/detail?server=serverRef&
name=imageName&
status=imageStatus&
changes-since=dateTime&
marker=markerID&limit=int&
type=(BASE|SERVER) |
Lists all details for all available images. | |||
Normal Response Code(s): 200, 203
Error Response Code(s): computeFault (400, 500, …), serviceUnavailable (503), unauthorized (401), forbidden (403), badRequest (400), badMethod (405), overLimit (413)
This operation lists all images visible by the account.
To filter the list of images returned in the response body, you can specify the following optional parameters in the URI:
server=serverRef&Filters the list of images by server. Specify the server reference by ID or by full URL.
name=imageName&Filters the list of images by image name.
status=imageStatus&Filters the list of images by status. In-flight images will have the status attribute set to
SAVINGand the conditional progress element (0-100% completion) will also be returned. Other possible values for the status attribute include:UNKNOWN,ACTIVE,SAVING,ERROR, andDELETED. Images with anACTIVEstatus are available for install.changes-since=dateTime&Filters the list of images to those that have changed since the changes-since time. See Section 1.6, “Efficient Polling with the
Changes-SinceParameter” for details.marker=markerID&The ID of the last item in the previous list. See Section 1.5, “Paginated Collections”.
limit=intSets the page size. See Section 1.5, “Paginated Collections”.
type={BASE|SERVER}Filters base images or server backups.
This operation does not require a request body. The optional minDisk and minRam attributes set the minimum disk and RAM requirements needed to create a server with the image.
Example 2.45. Images List Response: XML (detail)
<?xml version="1.0" encoding="UTF-8"?>
<images xmlns="http://docs.openstack.org/compute/api/v1.1"
xmlns:atom="http://www.w3.org/2005/Atom">
<image id="52415800-8b69-11e0-9b19-734f6f006e54"
name="CentOS 5.2"
updated="2010-10-10T12:00:00Z"
created="2010-08-10T12:00:00Z"
tenant_id="12345"
user_id="joe"
status="ACTIVE">
<metadata>
<meta key="ImageType">Gold</meta>
<meta key="ImageVersion">1.5</meta>
</metadata>
<atom:link
rel="self"
href="http://servers.api.openstack.org/v2/1234/images/52415800-8b69-11e0-9b19-734f6f006e54"/>
<atom:link
rel="bookmark"
href="http://servers.api.openstack.org/1234/images/52415800-8b69-11e0-9b19-734f6f006e54"/>
</image>
<image
id="52415800-8b69-11e0-9b19-734f5736d2a2"
name="My Server Backup"
updated="2010-10-10T12:00:00Z"
created="2010-08-10T12:00:00Z"
tenant_id="12345"
user_id="joe"
status="SAVING" progress="80"
minDisk="5" minRam="256">
<server id="52415800-8b69-11e0-9b19-734f335aa7b3">
<atom:link
rel="self"
href="http://servers.api.openstack.org/v2/1234/servers/52415800-8b69-11e0-9b19-734f335aa7b3"/>
<atom:link
rel="bookmark"
href="http://servers.api.openstack.org/1234/servers/52415800-8b69-11e0-9b19-734f335aa7b3"/>
</server>
<atom:link
rel="self"
href="http://servers.api.openstack.org/v2/1234/images/52415800-8b69-11e0-9b19-734f5736d2a2"/>
<atom:link
rel="bookmark"
href="http://servers.api.openstack.org/1234/images/52415800-8b69-11e0-9b19-734f5736d2a2"/>
</image>
</images>
Example 2.46. Images List Response: JSON (detail)
{
"images": [
{
"id": "52415800-8b69-11e0-9b19-734f6f006e54",
"name": "CentOS 5.2",
"updated": "2010-10-10T12:00:00Z",
"created": "2010-08-10T12:00:00Z",
"tenant_id" : "12345",
"user_id" : "joe",
"status": "ACTIVE",
"metadata": {
"ImageType": "Gold",
"ImageVersion": "1.5"
},
"links": [
{
"rel": "self",
"href": "http://servers.api.openstack.org/v2/1234/images/52415800-8b69-11e0-9b19-734f6f006e54"
},
{
"rel": "bookmark",
"href": "http://servers.api.openstack.org/1234/images/52415800-8b69-11e0-9b19-734f6f006e54"
}
]
},
{
"id" : "52415800-8b69-11e0-9b19-734f5736d2a2",
"name" : "My Server Backup",
"updated" : "2010-10-10T12:00:00Z",
"created" : "2010-08-10T12:00:00Z",
"tenant_id" : "12345",
"user_id" : "joe",
"status" : "SAVING",
"progress" : 80,
"minDisk" : 5,
"minRam" : 256,
"server" : {
"id": "52415800-8b69-11e0-9b19-734f335aa7b3",
"links": [
{
"rel": "self",
"href": "http://servers.api.openstack.org/v2/1234/servers/52415800-8b69-11e0-9b19-734f335aa7b3"
},
{
"rel": "bookmark",
"href": "http://servers.api.openstack.org/1234/servers/52415800-8b69-11e0-9b19-734f335aa7b3"
}
]
},
"links": [
{
"rel" : "self",
"href" : "http://servers.api.openstack.org/v2/1234/images/52415800-8b69-11e0-9b19-734f5736d2a2"
},
{
"rel" : "bookmark",
"href" : "http://servers.api.openstack.org/1234/images/52415800-8b69-11e0-9b19-734f5736d2a2"
}
]}]}

